import logging
from .tests import basic
from .tests import gac_100

logging.getLogger().setLevel(logging.ERROR)

tests = (
    ("basic", basic),
    ("gac 100", gac_100),
)

def main():
    for test_name, test_module in tests:
        try:
            test_module.main()
            print(" \x1b[1;32m✓\x1b[0m {}".format(test_name))
        except AssertionError as ae:
            print(" \x1b[1;31m✗\x1b[0m {}: {}".format(test_name, ae.args[0]))
        except Exception as e:
            print(" \x1b[1;7;31m!\x1b[0m {} {}".format(test_name, e))
            raise

if __name__ == '__main__':
    main()
